routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Product\ProductList;
use App\Http\Controllers\Product\PurchaseList;
use App\Http\Controllers\Account\AccountSetup;
use App\Http\Controllers\Account\Transaction;
use App\Http\Controllers\Product\Quotation;
use App\Http\Controllers\Sales\SalesQuotation;
use App\Http\Controllers\Report\Product;
use App\Http\Controllers\Report\Sales;
use App\Http\Controllers\Report\Customer;
use App\Http\Controllers\Report\Employee;
use App\Http\Controllers\Report\Account;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('index');
});
Route::get('/index', function () {
    return view('index');
});

Route::get('product-category/edit-category/{id}', function ($id) {
    return view('product.edit-category', ['cat_id' => $id]);
});

Route::get('product-category/groups', 'App\Http\Controllers\Product\CategorySetup@groups');
Route::get('product-category/groupWiseCategory', 'App\Http\Controllers\Product\CategorySetup@groupWiseCategory');
Route::get('product-category/catGroupWiseCategory', 'App\Http\Controllers\Product\CategorySetup@catGroupWiseCategory');
Route::resource('product-category', 'App\Http\Controllers\Product\CategorySetup');

Route::get('/new-product', function () {
    return view('product/product/new-product');
});

Route::get('product/view-product/{id}', function ($id) {
    return view('product/product/view-product', ['pro_id' => $id]);
});
Route::get('product-list/catWiseProduct', 'App\Http\Controllers\Product\ProductList@catWiseProduct');
Route::get('product-list/search', 'App\Http\Controllers\Product\ProductList@search');
Route::resource('product-list', ProductList::class);
Route::prefix('product-list')->group(function () {
    Route::get('/info/{sup_id}/{color_id}/{pro_id}', [ProductList::class, 'info']);
    Route::get('/color/{id}', [ProductList::class, 'colorList']);
});
Route::get('/print-barcode', function () {
    return view('product/product/print-barcode');
});
Route::get('/product-adjustment', function () {
    return view('product/product/product-adjustment');
});
Route::get('/product-stock', function () {
    return view('product/product/product-stock');
});

Route::get('purchase-list/stock', 'App\Http\Controllers\Product\PurchaseList@stock');
Route::post('purchase-list/productAdd', 'App\Http\Controllers\Product\PurchaseList@productAdd');
Route::get('purchase-list/productUpdate', 'App\Http\Controllers\Product\PurchaseList@productUpdate');
Route::get('purchase-list/productColor', 'App\Http\Controllers\Product\PurchaseList@productColor');
Route::get('purchase-list/productRemove', 'App\Http\Controllers\Product\PurchaseList@productRemove');
Route::get('purchase-list/productRemoveAll', 'App\Http\Controllers\Product\PurchaseList@productRemoveAll');
Route::get('purchase-list/invoiceAdd', 'App\Http\Controllers\Product\PurchaseList@invoiceAdd');
Route::get('/purchase-list/edit-product/{id}', [PurchaseList::class, 'product_edit']);
Route::resource('purchase-list', PurchaseList::class);
Route::get('/new-purchase', function () {
    return view('product/purchase/new-purchase');
});
Route::get('/purchase-products', function () {
    return view('product/purchase/product-list');
});

// Route::get('/purchase-list', function () {
//     return view('product/purchase/purchase-list');
// });
Route::get('/purchase-adjustment', function () {
    return view('product/purchase/purchase-adjustment');
});
Route::get('/purchase-return', function () {
    return view('product/purchase/purchase-return');
});
Route::get('/purchase-import', function () {
    return view('product/purchase/purchase-import');
});
Route::get('/sales-pos', function () {
    return view('sales/sales-pos');
});

Route::get('sales-list/productAdd', 'App\Http\Controllers\Sales\SalesList@productAdd');
Route::get('sales-list/productEdit', 'App\Http\Controllers\Sales\SalesList@productEdit');
Route::get('sales-list/productDel', 'App\Http\Controllers\Sales\SalesList@productDel');
Route::get('sales-list/productClear', 'App\Http\Controllers\Sales\SalesList@productClear');
Route::resource('sales-list', 'App\Http\Controllers\Sales\SalesList');
Route::get('/invoice-print', function () {
    return view('sales/sales/sales-list');
});
Route::get('/print-invoice', function () {
    return view('sales/sales/print-invoice');
});
Route::get('/sales-due', function () {
    return view('sales/sales/sales-due');
});
Route::get('/delivery-manage', function () {
    return view('sales/sales/delivery-manage');
});
Route::get('/sales-done', function () {
    return view('sales/sales/sales-done');
});
Route::get('/sales-return', function () {
    return view('sales/sales/sales-return');
});
Route::get('/sales-cancel', function () {
    return view('sales/sales/sales-cancel');
});
Route::get('/sales-import', function () {
    return view('sales/sales/sales-import');
});

Route::get('/new-customer', function () {
    return view('customer/customer/customer-add');
});

Route::resource('customer-list', 'App\Http\Controllers\Customer\CustomerSetup');
// Route::get('customer-list/typesWiseGroup', 'App\Http\Controllers\Setting\CustomerGroup');
Route::get('setting-customer-type/group_info', 'App\Http\Controllers\Setting\CustomerType@typesWiseGroup');
Route::get('/new-user', function () {
    return view('customer/users/users-add');
});
Route::get('/user-list', function () {
    return view('customer/users/users-list');
});
Route::get('/new-biller', function () {
    return view('customer/biller/new-biller');
});
Route::get('/biller-list', function () {
    return view('customer/biller/biller-list');
});
Route::resource('supplier-list', 'App\Http\Controllers\Supplier\SupplierList');
// Route::resource('supplier-list', 'App\Http\Controllers\Supplier\SupplierList', ['names' => [
//     'show' => 'supplier.info'
// ]]);
Route::get('/new-supplier', function () {
    return view('supplier/supplier/new-supplier');
});
// Route::get('/supplier-list', function () {
//     return view('supplier/supplier/supplier-list');
// });
Route::get('/issue-discount', function () {
    return view('supplier/discount/issue-discount');
});
Route::get('/discount-product-list', function () {
    return view('supplier/discount/discount-product-list');
});
Route::resource('employee-department', 'App\Http\Controllers\Employee\DepartmentSetup');
Route::get('/new-employee', function () {
    return view('employee/employee/new-employee');
});
Route::resource('employee-list', 'App\Http\Controllers\Employee\EmployeeList');

Route::get('/daily-attendance', function () {
    return view('employee/attendance/daily-attendance');
});
Route::get('/attendance-history', function () {
    return view('employee/attendance/attendance-history');
});

Route::get('/account-category', function () {
    return view('account/setup/new-category');
});
Route::get('/income-category', function () {
    return view('account/setup/income-category');
});
Route::get('/expense-category', function () {
    return view('account/setup/expense-category');
});
Route::get('{name}/cat-update/{id}', function ($name, $id) {
    return view('account.setup.edit-category', ['cat_id' => $id]);
});
Route::get('/new-transaction', function () {
    return view('account/transaction/new-transaction');
});
Route::get('transaction/categoryList', 'App\Http\Controllers\Account\Transaction@categoryList');
Route::get('transaction/payerInfo', 'App\Http\Controllers\Account\Transaction@payerInfo');
Route::get('transaction/receiverInfo', 'App\Http\Controllers\Account\Transaction@receiverInfo');
Route::resource('transaction', Transaction::class);
Route::resource('account-setup', AccountSetup::class);
Route::get('/income-transaction', function () {
    return view('account/transaction/income-list');
});
Route::get('/expense-transaction', function () {
    return view('account/transaction/expense-list');
});
Route::prefix('account-records')->group(function () {
    Route::resource('account-records', Transaction::class);
    Route::get('/income-records', [Transaction::class, 'income_records']);
    Route::get('/expense-records', [Transaction::class, 'expense_records']);
    Route::get('/balance-sheet', [Transaction::class, 'balance_sheet']);
    Route::get('/daily-statement', [Transaction::class, 'daily_statement']);
    Route::get('/monthly-statement', [Transaction::class, 'monthly_statement']);
    Route::get('/analysis', [Transaction::class, 'account_analysis']);
});
// Report section
Route::prefix('report-product')->group(function () {
    Route::resource('report-product', Product::class);
    Route::get('/stock-details', [Product::class, 'stock_details']);
    Route::get('/minimum-stock', [Product::class, 'minimum_stock']);
    Route::get('/daily-purchase', [Product::class, 'daily_purchase']);
    Route::get('/weekly-purchase', [Product::class, 'weekly_purchase']);
    Route::get('/monthly-purchase', [Product::class, 'monthly_purchase']);
    Route::get('/search-purchase', [Product::class, 'search_purchase']);
});
Route::prefix('report-sales')->group(function () {
    Route::resource('report-sales', Sales::class);
    Route::get('/best-sales', [Sales::class, 'best_sales']);
    Route::get('/daily-sales', [Sales::class, 'daily_sales']);
    Route::get('/weekly-sales', [Sales::class, 'weekly_sales']);
    Route::get('/monthly-sales', [Sales::class, 'monthly_sales']);
    Route::get('/lowest-sales', [Sales::class, 'lowest_sales']);
    Route::get('/search-sales', [Sales::class, 'search_sales']);
});
Route::prefix('report-customer')->group(function () {
    Route::resource('report-customer', Customer::class);

app/Models/Employee/Emp_dept.php
<?php

namespace App\Models\Employee;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Emp_dept extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = ["name", "about", "email", "contact_no", "image"];
}

app/Models/Employee/Emp_list.php
<?php

namespace App\Models\Employee;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Emp_list extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = ["name", "phone", "email", "address", "thana", "district", "zip", "dept_id", "type_id", "designation", "salary", "joining_date", "photo", "attachment", "remarks"];
}

app/Http/Controllers/Employee/DepartmentSetup.php
<?php

namespace App\Http\Controllers\Employee;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Exception;
use Illuminate\Support\Facades\DB;
use App\Models\Employee\Emp_dept;

class DepartmentSetup extends Controller
{
    public function __construct()
    {
        $this->result = array();
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $getData = DB::select('SELECT * FROM `emp_depts`');
        return view('employee.department', ['dept' => $getData]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public static function create()
    {
        $result = DB::select('SELECT * FROM `emp_depts`');
        return $result;
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'about' => 'required',
            'email' => 'required',
            'contact_no' => 'required'
        ]);
        if ($request->hasFile('image')) {
            $request->validate([
                'image' => 'mimes:jpeg,png,jpg'
            ]);
            $request->image->store('public');
            $dataInsert = new Emp_dept([
                "name" => $request->get('name'),
                "about" => $request->get('about'),
                "email" => $request->get('email'),
                "contact_no" => $request->get('contact_no'),
                "image" => $request->image->hashName()
            ]);
            try {
                $dataInsert->save();
                $this->result['status'] = 1;
                $this->result['load'] = 'employee-department';
                $this->result['message'] = 'Successfully saved data.';
            } catch (Exception $e) {
                $this->result['status'] = 0;
                $this->result['message'] = $e->getMessage();
            }
        } else {
            $dataInsert = new Emp_dept([
                "name" => $request->get('name'),
                "about" => $request->get('about'),
                "email" => $request->get('email'),
                "contact_no" => $request->get('contact_no')
            ]);
            try {
                $dataInsert->save();
                $this->result['status'] = 1;
                $this->result['load'] = 'employee-department';
                $this->result['message'] = 'Successfully saved data.';
            } catch (Exception $e) {
                $this->result['status'] = 0;
                $this->result['message'] = $e->getMessage();
            }
        }
        return $this->result;
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Report/Employee.php
<?php

namespace App\Http\Controllers\Report;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class Employee extends Controller
{
    public function __construct()
    {
        $this->result = array();
    }

    public function salary_report()
    {
        return view('report/employee/salary-report');
    }
    public function leave_report()
    {
        return view('report/employee/leave-report');
    }
}

resources/views/employee/employee/employee-list.blade.php
@extends("layouts.app")

@section("style")
<link href="assets/plugins/datatable/css/dataTables.bootstrap5.min.css" rel="stylesheet" />
@endsection

  @section("wrapper")
  <!--start page wrapper -->
  <div class="page-wrapper">
    <div class="page-content">
      <!--breadcrumb-->
      <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
        <div class="breadcrumb-title pe-3">Employee</div>
        <div class="ps-3">
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb mb-0 p-0">
              <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
              </li>
              <li class="breadcrumb-item active" aria-current="page">Employee List</li>
            </ol>
          </nav>
        </div>
      </div>
      <div class="card col-xl-12 mx-auto">
        <div class="card-body">
          <div class="table-responsive">
            <?php $x = 1; if(count($employee) > 0){ foreach($employee as $row => $v){?>
              <div class="block-view">
                <div class="code-image">
                  <img src="<?= asset("storage/$v->photo") ?>"/>
                </div>
                <div class="code-image" style="left:150px;">
                  <label style="height:53px;line-height:18px;padding:8px;text-align:left;">ID No.<br/>#<?= $v->id ?></label>
                  <label style="height:53px;padding:8px;top:unset;margin-top:4px;justify-content:center;display:flex;align-items:center;font-size:16px;"><?= $v->designation ?></label>
                </div>
                <div class="product-info" style="padding-left:300px">
                  <div class="product-head">
                    <label><?= $v->name ?></label>
                    <button class="btn-action btn-danger"><i class="lni lni-close" style="margin-right:6px"></i>Remove</button>
                    <button class="btn-action btn-warning"><i class="lni lni-pencil-alt" style="margin-right:6px"></i>Edit</button>
                    <button class="btn-action btn-primary"><i class="lni lni-eye" style="margin-right:6px"></i>Details</button>
                  </div>
                  <div class="product-body">
                    <div class="col-xl-6 float-left">
                      <label>
                        <span>Phone</span>
                        <span>: <?= $v->phone ?></span>
                      </label>
                      <label>
                        <span>Email</span>
                        <span>: <?= $v->email ?></span>
                      </label>
                      <label>
                        <span>Address</span>
                        <span>: <?= $v->address.', '.$v->thana.', '.$v->district ?></span>
                      </label>
                    </div>
                    <div class="col-xl-6 float-left">
                      <label>
                        <span>Salary</span>
                        <span>: <?= number_format($v->salary,2,'.','').' TK' ?></span>
                      </label>
                      <label style="float:right">
                        <span>Paid</span>
                        <span>: 0.00 TK</span>
                      </label>
                      <label style="float:right">
                        <span>Advanced</span>
                        <span>: 0.00 TK</span>
                      </label>
                    </div>
                  </div>
                </div>
              </div>
                    <?php $x++; }}else{?>
                      <h3>No Employee Found..<a href="{{ url('new-employee') }}" style="float:right;font-size:15px;cursor:pointer;"><u>Add New</u></a></h3>
                    <?php }?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--end page wrapper -->
  @endsection

@section("script")
<script src="assets/plugins/datatable/js/jquery.dataTables.min.js"></script>
<script src="assets/plugins/datatable/js/dataTables.bootstrap5.min.js"></script>
<script>
    $(document).ready(function() {
        $('#example').DataTable();
    });
</script>
@endsection

resources/views/employee/employee/new-employee.blade.php
<?php 
    use \App\Http\Controllers\Setting\EmployeeType;
    use \App\Http\Controllers\Employee\DepartmentSetup;
    $types = EmployeeType::create();
    $departments = DepartmentSetup::create();
?>
@extends("layouts.app")
@section("wrapper")
        <div class="page-wrapper">
            <div class="page-content">
                <!--breadcrumb-->
                <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                    <div class="breadcrumb-title pe-3">Employee</div>
                    <div class="ps-3">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb mb-0 p-0">
                                <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                                </li>
                                <li class="breadcrumb-item active" aria-current="page">Add New Employee</li>
                            </ol>
                        </nav>
                    </div>
                </div>
                <!--end breadcrumb-->
                <div class="row">
                    <div class="col-xl-7 mx-auto">
                        <div class="card border-top border-0 border-4 border-primary">
                            <div class="card-body p-5">
                              <form class="row g-3" action="{{ route('employee-list.store') }}" method="post" id="newEmployee" enctype="multipart/form-data">
                                  <input type="hidden" name="_token" value="<?= csrf_token(); ?>"/>
                                    <div class="card-title d-flex align-items-center">
                                        <div><i class="bx bxs-user me-1 font-22 text-primary"></i>
                                        </div>
                                        <h5 class="mb-0 text-primary">Basic Information</h5>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">First Name</label>
                                        <input name="first_name" type="text" class="form-control"/>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">Last Name</label>
                                        <input name="last_name" type="text" class="form-control"/>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Phone No.</label>
                                        <input name="phone" type="number" class="form-control"/>
                                    </div>
                                    <div class="col-md-8">
                                        <label class="form-label">Email</label>
                                        <input name="email" type="email" class="form-control"/>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Thana</label>
                                        <input name="thana" type="text" class="form-control"/>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">District</label>
                                        <input name="district" type="text" class="form-control" />
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Zip</label>
                                        <input name="zip" type="number" class="form-control" />
                                    </div>
                                    <div class="col-12">
                                        <label class="form-label">Local Address</label>
                                        <input name="address" type="text" class="form-control" placeholder="Address..." />
                                    </div>
                                    <div class="card-title d-flex align-items-center" style="margin-top:35px;">
                                        <div><i class="bx bx-money me-1 font-22 text-primary"></i></div>
                                        <h5 class="mb-0 text-primary">Accounts Information</h5>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Department</label>
                                        <select name="dept_id" class="form-control mb-3 select_search" aria-label="Department">
                                            <option value="" selected disabled>Choose--</option>
                                            <?php foreach($departments as $row => $v){?>
                                                <option value="<?= $v->id ?>"><?= $v->name ?></option>
                                            <?php }?>
                                        </select>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Designation</label>
                                        <input name="designation" type="text" class="form-control" />
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Employee Type</label>
                                        <select name="type_id" class="form-control mb-3 select_search" aria-label="Employee Type">
                                            <option value="" selected disabled>Choose--</option>
                                            <?php foreach($types as $row => $v){?>
                                                <option value="<?= $v->id ?>"><?= $v->name ?></option>
                                            <?php }?>
                                        </select>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Salary</label>
                                        <input name="salary" type="text" class="form-control" />
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Joining Date</label>
                                        <input name="joining_date" type="date" class="form-control" />
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Photo</label>
                                        <input name="photo" type="file" class="form-control" accept="image/*">
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">Attachment</label>
                                        <input name="attachment" type="file" class="form-control" accept="application/pdf,application/msword"/>
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">Remarks</label>
                                        <textarea name="remarks" class="form-control" placeholder="Remarks..." rows="3"></textarea>
                                    </div>
                                    <div class="col-md-12">
                                        <label id="message" class="col-sm-12 col-form-label mb-3 form-message"></label>
                                        <button type="reset" class="btn btn-danger float-left">
                                          <i class="lni lni-eraser" style="margin-right:6px;"></i>Clear</button>
                                        <button type="submit" class="btn btn-primary float-right">
                                          <i class="bx bx-book-add" style="margin-right:6px;"></i>Add New</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end row-->
            </div>
        </div>
@endsection
@section("script")
<script>
	$('.select_search').select2({
        height:'resolved'
    });
</script>
@endsection